config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then 
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/lircd.conf.new
config etc/lircmd.conf.new
config etc/lircrc.new

enable_run() {
cat << EOF >> etc/rc.d/rc.local
# Start the LIRC Daemon.
if [ -x /etc/rc.d/rc.lircd ]; then
  . /etc/rc.d/rc.lircd start &
fi
EOF
}

RC=`cat /etc/rc.d/rc.local | grep -c lircd`

if [ ! $RC=="0" ] ; then
	enable_run
else
	echo "Lircd already in rc.local"
fi

chroot . /sbin/depmod -ae `uname -r`

( cd usr/lib ; rm -rf liblirc_client.so )
( cd usr/lib ; ln -sf liblirc_client.so.0.2.1 liblirc_client.so )
( cd usr/lib ; rm -rf liblirc_client.so.0 )
( cd usr/lib ; ln -sf liblirc_client.so.0.2.1 liblirc_client.so.0 )
